## CSS file icons
[![Backers on Open Collective](https://opencollective.com/CSS-file-icons/backers/badge.svg)](#backers)
 [![Sponsors on Open Collective](https://opencollective.com/CSS-file-icons/sponsors/badge.svg)](#sponsors)

Pure CSS file icons for popular extensions lightweight css library

## Icons
[<img src="https://raw.githubusercontent.com/colorswall/CSS-file-icons/master/src/images/icons.png" alt="CSS file icons" data-canonical-src="https://raw.githubusercontent.com/colorswall/CSS-file-icons/master/src/images/icons.png" width="721" height="241" />](https://colorswall.github.io/CSS-file-icons/)

[Demo](https://colorswall.github.io/CSS-file-icons/)

## Usage
Include `css-file-icons.css` to html or install via npm
```
npm i css-file-icons --save
```
include css file `css-file-icons.css` from folder `build`

## Example
```html
<div class="fi fi-doc">
    <div class="fi-content">doc</div>
</div>
```

## File extensions
mp3, wav, aif, cda, mid, midi, mpa, mkv, ogg, wpa, wpl,
7z, zip, rar, tar.gz, pkg, z,
csv, dat, json, xml, dat, db, dbf,
sql, ns,
3ds, max, ai, psd,
ttf, woff, woff2,
png, bmp, jpg, jpeg, gif, tif, tiff, svg,
rss, torrent,
ppt, pps, pptx, odp,
asp, c, cs, java, jsp, swift, php, hh, go, py, js, html, xhtml, css, vb, rb, scss, sass, less, jsx, sh, pl,
xls, xlsx, xlsm, ods,
dll, bak, ini, dmp, sys, cfg, tmp, icns,
doc, docx, log, txt, pdf,
avi, mov, mp4, mpg, mpeg, mkv, wmv,
wps, exe.

 ```css
 .fi.fi-*extension*
 // where *extension* = file extension.
 // example: .fi.fi-doc
 ```

## Sizes
 ```css
.fi.fi-size-xs
.fi.fi-size-sm // default
.fi.fi-size-md
.fi.fi-size-lg
.fi.fi-size-xl
 ```
## Rounded
sm, md
default border radius 0
```
.fi-round-sm
.fi-round-md
```
## SCSS Mixins
#### New icon color
```scss
@mixin fi-color($class, $color, $text_color:$file_icon_text_color)
```
#### Icon size
```scss
@mixin fi-size($class, $width, $height, $arrow_h, $font_size)
```

## Contributors

This project exists thanks to all the people who contribute.
<a href="https://github.com/colorswall/CSS-file-icons/graphs/contributors"><img src="https://opencollective.com/CSS-file-icons/contributors.svg?width=890&button=false" /></a>

## Browsers support
`CSS file icons` supports all modern browsers (Chrome, Firefox, Opera and Internet Exploer >= 9)

## Wordpress version
[CSS File Icons WP](https://github.com/colorswall/CSS-file-icons-wp)

## Backers

Thank you to all our backers! 🙏 [[Become a backer](https://opencollective.com/CSS-file-icons#backer)]

<a href="https://opencollective.com/CSS-file-icons#backers" target="_blank"><img src="https://opencollective.com/CSS-file-icons/backers.svg?width=890"></a>

## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/CSS-file-icons#sponsor)]

<a href="https://opencollective.com/CSS-file-icons/sponsor/0/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/1/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/2/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/3/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/4/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/5/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/6/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/7/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/8/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/CSS-file-icons/sponsor/9/website" target="_blank"><img src="https://opencollective.com/CSS-file-icons/sponsor/9/avatar.svg"></a>

Created by [ColorsWall](https://colorswall.com/)
